JTS Topology Suite version 1.13

## com.vividsolutions.jts.index.bintree
Class Key

    java.lang.Object
      com.vividsolutions.jts.index.bintree.Key

    public class Key

extends java.lang.Object

A Key is a unique identifier for a node in a tree. It contains a lower-left point and a level number. The level number is the power of two for the size of the node envelope

Version:
  1.7

Constructor Summary
`Key(Interval interval)`

Method Summary
`void` `computeKey(Interval itemInterval)` return a square envelope containing the argument envelope, whose extent is a power of two and which is based at a power of 2
`static int` `computeLevel(Interval interval)`
`Interval` `getInterval()`
`int` `getLevel()`
`double` `getPoint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Key

    public Key(Interval interval)

Method Detail

### computeLevel

    public static int computeLevel(Interval interval)

### getPoint

    public double getPoint()

### getLevel

    public int getLevel()

### getInterval

    public Interval getInterval()

### computeKey

    public void computeKey(Interval itemInterval)

  return a square envelope containing the argument envelope, whose extent is a power of two and which is based at a power of 2

JTS Topology Suite version 1.13